@import url('https://fonts.googleapis.com/css2?family=Danfo&display=swap');
@import url('https://fonts.googleapis.com/css2?family=BBH+Bartle&family=Oi&family=Yesteryear&display=swap');

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

:root {
    --kent-state-blue: #003976;
    --kent-state-yellow: #EFAB00;
}

body {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: normal;
}

header {
    border-bottom: 0.25px solid lightgray;
    box-shadow: 1px 1px 15px 0px rgba(0, 0, 0, 0.10);
    padding: 2rem;
    margin-bottom: 2rem;
}

header a {
    text-decoration: none;
    color: var(--kent-state-blue);
    
}

header a:hover {
    text-decoration: underline;
    color: var(--kent-state-yellow);
}

nav {
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

nav h1 {
    font-size: 1rem;
    font-weight: normal;
}

nav img {
    width: 5rem;
    display: block;
}

.container {
    display: grid;
    grid-template-columns: auto;
    gap: 1rem;
    width: 90%;
    margin: auto;
    padding-bottom: 2rem;
}

.container .card {
    border: 0.5px solid lightgray;
    border-radius: 0.5rem;
    padding: 1rem;
}

.container .card ul {
    display: flex;
    flex-direction: column;
    gap: 0.25rem;
    list-style: none;
    padding-top: 1rem;
}

.container .card a {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    text-decoration: none;
    color: var(--kent-state-blue);
}

.container .card a:hover {
    text-decoration: underline;
    color: var(--kent-state-yellow);
}

.container .card-header {
    border-bottom: 0.25px solid lightgray;
    padding-bottom: 1rem;
}

@media screen and (width >= 768px) {
    .container {
        grid-template-columns: 1fr 1fr;
    }

    nav {
        width: 90%;
        flex-direction: row;
    }
}

@media screen and (width >= 1200px) {
    .container {
        width: 75%;
        grid-template-columns: 1fr 1fr 1fr;
    }

    nav {
        width: 75%;
        flex-direction: row;
    }
}